sensorfw: TapSensorChannel Class Reference

sensorfw

Public Slots | Signals | Static Public Member Functions | Protected Member Functions | List of all members
TapSensorChannel Class Reference

Sensor for accessing device tap events. More...

`#include <tapsensor.h>`

Inheritance diagram for TapSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | dataAvailable (const Tap &tap)
| Sent when a tap event has occurred.

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for TapSensorChannel.

## Protected Member Functions
| TapSensorChannel (const QString &id)
virtual | ~TapSensorChannel ()

## Detailed Description

Sensor for accessing device tap events.

Tap events are detected by the accelerometer driver, and propagated here through TapAdaptor. The whole logic of recognising tap events is embedded in the driver itself.

In the future this class might need to contain methods for driver parameter setup.

Definition at line 51 of file tapsensor.h.

## Constructor & Destructor Documentation

## ◆ TapSensorChannel()

TapSensorChannel::TapSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~TapSensorChannel()

virtual TapSensorChannel::~TapSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ dataAvailable

void TapSensorChannel::dataAvailable | ( | const Tap & | tap | ) |
| signal

Sent when a tap event has occurred.

Parameters

  tap | The occurred event.

## ◆ factoryMethod()

static AbstractSensorChannel * TapSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for TapSensorChannel.

Returns
  New TapSensorChannel as AbstractSensorChannel*.

Definition at line 62 of file tapsensor.h.

## ◆ start

bool TapSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool TapSensorChannel::stop | ( |  | ) |
| slot

The documentation for this class was generated from the following file:

- sensors/tapsensor/tapsensor.h